#
# spec file for package python-oslo.middleware
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-oslo.middleware
Version:        3.37.1
Release:        1.12
Summary:        OpenStack oslo.middleware library
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/oslo.middleware
Source0:        https://files.pythonhosted.org/packages/source/o/oslo.middleware/oslo.middleware-3.37.1.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-Jinja2
BuildRequires:  python2-WebOb
BuildRequires:  python2-debtcollector
BuildRequires:  python2-fixtures
BuildRequires:  python2-mock
BuildRequires:  python2-oslo.config
BuildRequires:  python2-oslo.context
BuildRequires:  python2-oslo.i18n
BuildRequires:  python2-oslo.serialization
BuildRequires:  python2-oslo.utils
BuildRequires:  python2-oslotest
BuildRequires:  python2-pbr
BuildRequires:  python2-six
BuildRequires:  python2-statsd
BuildRequires:  python2-stestr
BuildRequires:  python2-stevedore
BuildRequires:  python2-testtools
BuildRequires:  python3-Jinja2
BuildRequires:  python3-WebOb
BuildRequires:  python3-debtcollector
BuildRequires:  python3-devel
BuildRequires:  python3-fixtures
BuildRequires:  python3-mock
BuildRequires:  python3-oslo.config
BuildRequires:  python3-oslo.context
BuildRequires:  python3-oslo.i18n
BuildRequires:  python3-oslo.serialization
BuildRequires:  python3-oslo.utils
BuildRequires:  python3-oslotest
BuildRequires:  python3-pbr
BuildRequires:  python3-six
BuildRequires:  python3-statsd
BuildRequires:  python3-stestr
BuildRequires:  python3-stevedore
BuildRequires:  python3-testtools
Requires:       python-Jinja2
Requires:       python-WebOb
Requires:       python-debtcollector
Requires:       python-oslo.config
Requires:       python-oslo.context
Requires:       python-oslo.i18n
Requires:       python-oslo.serialization
Requires:       python-oslo.utils
Requires:       python-six
Requires:       python-statsd
Requires:       python-stevedore
BuildArch:      noarch
%python_subpackages

%description
Oslo middleware library includes components that can be injected into wsgi
pipelines to intercept request/response flows. The base class can be enhanced
with functionality like add/delete/modification of http headers and support
for limiting size/connection etc.

%package -n python-oslo-middleware-doc
Summary:        Documentation for OpenStack middleware library
Group:          Development/Languages/Python
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-reno

%description -n python-oslo-middleware-doc
Oslo middleware library includes components that can be injected into wsgi
pipelines to intercept request/response flows. The base class can be enhanced
with functionality like add/delete/modification of http headers and support
for limiting size/connection etc.
This package contains the documentation.

%prep
%autosetup -p1 -n oslo.middleware-3.37.1
%py_req_cleanup

%build
%{python_build}

# generate html docs
%{__python2} setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{python_install}

%check
%python_exec -m stestr.cli run

%files %{python_files}
%license LICENSE
%doc README.rst ChangeLog
%{python_sitelib}/oslo_middleware
%{python_sitelib}/*.egg-info

%files -n python-oslo-middleware-doc
%license LICENSE
%doc doc/build/html

%changelog
